# DANaturalAllToGlobalCreate

Creates a scatter context that maps from a copy of the entire vector on each processor to its local part in the global vector.

### Synopsis

    #include "petscda.h"
    PetscErrorCode PETSCDM_DLLEXPORT DANaturalAllToGlobalCreate(DA da,VecScatter *scatter)

Collective on DA

### Input Parameter

da -the distributed array context

### Output Parameter

scatter -the scatter context

### Keywords

distributed array, global to local, begin, coarse problem

### See Also

DAGlobalToNaturalEnd(), DALocalToGlobal(), DACreate2d(),
DAGlobalToLocalBegin(), DAGlobalToLocalEnd(), DACreateNaturalVector()

Level:advanced
Location: src/dm/da/src/dagtona.c
Index of all DA routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/dm/da/examples/tutorials/ex2.c.html